package com.jasamedika.medifirst2000.vo;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

public class PegawaiHistoriRekapVO extends BaseTransactionVO {

	@NotNull(message = "noHistori Harus Diisi")
	@Caption(value = "noHistori")
	private StrukHistoriVO strukHistory;

	private String strukHistoryId;

	@Caption(value = "Object Pegawai")
	private PegawaiVO pegawai;

	private Integer pegawaiId;

	@Caption(value = "Total Nilai Index")
	private Double totalNilaiIndex;

	@Caption(value = "Total Harga Index")
	private Double totalHargaIndex;

	@Caption(value = "strukVerifikasi")
	private StrukVerifikasiVO strukVerifikasi;

	private String strukVerifikasiId;

	private BigDecimal totalHargaGajiAdd = new BigDecimal(0);

	private BigDecimal totalHargaGajiMin = new BigDecimal(0);

	@Caption(value = "noStrukPelayanan")
	private StrukPelayananVO noStrukPelayanan;

	public StrukHistoriVO getStrukHistory() {
		return strukHistory;
	}

	public void setStrukHistory(StrukHistoriVO strukHistory) {
		this.strukHistory = strukHistory;
	}

	public String getStrukHistoryId() {
		return strukHistoryId;
	}

	public void setStrukHistoryId(String strukHistoryId) {
		this.strukHistoryId = strukHistoryId;
	}

	public StrukVerifikasiVO getStrukVerifikasi() {
		return strukVerifikasi;
	}

	public void setStrukVerifikasi(StrukVerifikasiVO strukVerifikasi) {
		this.strukVerifikasi = strukVerifikasi;
	}

	public String getStrukVerifikasiId() {
		return strukVerifikasiId;
	}

	public void setStrukVerifikasiId(String strukVerifikasiId) {
		this.strukVerifikasiId = strukVerifikasiId;
	}

	public Integer getPegawaiId() {
		return pegawaiId;
	}

	public void setPegawaiId(Integer pegawaiId) {
		this.pegawaiId = pegawaiId;
	}

	public Double getTotalNilaiIndex() {
		return totalNilaiIndex;
	}

	public void setTotalNilaiIndex(Double totalNilaiIndex) {
		this.totalNilaiIndex = totalNilaiIndex;
	}

	public Double getTotalHargaIndex() {
		return totalHargaIndex;
	}

	public void setTotalHargaIndex(Double totalHargaIndex) {
		this.totalHargaIndex = totalHargaIndex;
	}

	public PegawaiVO getPegawai() {
		return pegawai;
	}

	public void setPegawai(PegawaiVO pegawai) {
		this.pegawai = pegawai;
	}

	public StrukPelayananVO getNoStrukPelayanan() {
		return noStrukPelayanan;
	}

	public void setNoStrukPelayanan(StrukPelayananVO noStrukPelayanan) {
		this.noStrukPelayanan = noStrukPelayanan;
	}

	public BigDecimal getTotalHargaGajiAdd() {
		return totalHargaGajiAdd;
	}

	public void setTotalHargaGajiAdd(BigDecimal totalHargaGajiAdd) {
		this.totalHargaGajiAdd = totalHargaGajiAdd;
	}

	public BigDecimal getTotalHargaGajiMin() {
		return totalHargaGajiMin;
	}

	public void setTotalHargaGajiMin(BigDecimal totalHargaGajiMin) {
		this.totalHargaGajiMin = totalHargaGajiMin;
	}
}
